import java.io.*;
import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.net.URL;
import java.text.*;
import java.util.*;
import java.util.Map;
import java.util.Hashtable;
import java.util.jar.Attributes;

public class TheFonts {

    public static Font serif11, serif12, serif13, serif14;
    public static Font sanSerif9, sanSerif10, sanSerif11, sanSerif12, 
                       sanSerif13, sanSerif14, sanSerif15, sanSerif16;
    public static Font bold10, bold11, bold12, bold14, bold16;
    public static Font italic12, italic13, italic16;
    public static Font symbol12, symbol14;

    public static void setOldFonts() {
        serif11 = new Font("Serif",Font.PLAIN,11);
        serif12 = new Font("Serif",Font.PLAIN,12);
        serif13 = new Font("Serif",Font.PLAIN,13);
        serif14 = new Font("Serif",Font.PLAIN,14);
        sanSerif9 = new Font("Sanserif",Font.PLAIN,9);
        sanSerif10 = new Font("Sanserif",Font.PLAIN,10);
        sanSerif11 = new Font("Sanserif",Font.PLAIN,11);
        sanSerif12 = new Font("Sanserif",Font.PLAIN,12);
        sanSerif13 = new Font("Sanserif",Font.PLAIN,13);
        sanSerif14 = new Font("Sanserif",Font.PLAIN,14);
        sanSerif15 = new Font("Sanserif",Font.PLAIN,15);
        sanSerif16 = new Font("Sanserif",Font.PLAIN,16);
        bold10 = new Font("Sanserif",Font.BOLD,10);
        bold11 = new Font("Sanserif",Font.BOLD,11);
        bold12 = new Font("Sanserif",Font.BOLD,12);
        bold14 = new Font("Sanserif",Font.BOLD,14);
        bold16 = new Font("Sanserif",Font.BOLD,16);
        italic12 = new Font("Serif",Font.ITALIC,12);
        italic13 = new Font("Serif",Font.ITALIC,13);
        italic16 = new Font("Serif",Font.ITALIC,16);
        symbol12 = new Font("Symbol",Font.PLAIN,12);
        symbol14 = new Font("Symbol",Font.PLAIN,14);
    }

    public static void setNewFonts(Font ttfFont, Font phiFont, 
                                   Font italicFont) {
        serif11 = ttfFont.deriveFont(13f);
        serif12 = ttfFont.deriveFont(14f);
        serif13 = ttfFont.deriveFont(15f);
        serif14 = ttfFont.deriveFont(16f);
        sanSerif9 = ttfFont.deriveFont(11f);
        sanSerif10 = ttfFont.deriveFont(12f);
        sanSerif11 = ttfFont.deriveFont(13f);
        sanSerif12 = ttfFont.deriveFont(14f);
        sanSerif13 = ttfFont.deriveFont(15f);
        sanSerif14 = ttfFont.deriveFont(16f);
        sanSerif15 = ttfFont.deriveFont(17f);
        sanSerif16 = ttfFont.deriveFont(18f);
        bold10 = ttfFont.deriveFont(Font.BOLD,11f);
        bold11 = ttfFont.deriveFont(Font.BOLD,13f);
        bold12 = ttfFont.deriveFont(Font.BOLD,14f);
        bold14 = ttfFont.deriveFont(Font.BOLD,16f);
        bold16 = ttfFont.deriveFont(Font.BOLD,18f);
        italic12 = italicFont.deriveFont(14f);
        italic13 = italicFont.deriveFont(15f);
        italic16 = italicFont.deriveFont(18f);
        symbol12 = ttfFont.deriveFont(14f);
        symbol14 = ttfFont.deriveFont(16f);
    }
}
